LINUX.ORG.RU

paludis, gentoo, аналог package.provided и package.mask


0

0

Gentoo. Для установки kde4 из svn с недавних пор требуется paludis, а не portage. Пытаюсь разобраться с этим пакетным менеджером уже долгое время, но безуспешно. Оно обязательно хочет обновить версию mysql, которую мне обновлять не нужно и откатить jdk. Причем производит эти действия при попытке установки любого пакета. Эксперименты с опциями типа "--dl-reinstall-targets" к положительным результатам не привели.

Помогите, пожалуйста, найти замену опциям emerge --nodeps, и файлам /etc/portage/package.mask , /etc/portage/profile/package.provided .

★★★★

Re: paludis, gentoo, аналог package.provided и package.mask

Попробуй ставить с paludis --dl-no-unnecessary-upgrades .

UserUnknown ★★★★★ ()

Re: paludis, gentoo, аналог package.provided и package.mask

>--dl-no-unnecessary-upgrades

Уже не верю, но вроде-бы получилось. А ведь перепробовал разные комбинации --dl*... Мало есть программ с настолько невнятной документацией и опциями, как paludis :(.

Спасибо.

Вопрос об аналогах package.mask остается. Должен же быть способ перманентно ограничить список выбора пакетов только определенными версиями ПО, например, при paludis -i -p world ?

TuxR ★★★★ ()

Re: paludis, gentoo, аналог package.provided и package.mask

> Для установки kde4 из svn с недавних пор требуется paludis, а не portage

> Please remember that you'll have to use Paludis from now on to use the *live* ebuilds from the overlay until Portage and/or pkgcore implement support for the greatly enhanced kdebuild-1 EAPI.

Фигасе. Теперь пакетный менеджер должен поддерживать API ебилда? А не наоборот? Мерзкие мутанты.

INFOMAN ★★★★★ ()

Re: paludis, gentoo, аналог package.provided и package.mask

Спасибо, теперь увидел.

>Теперь пакетный менеджер должен поддерживать API ебилда? А не наоборот? Мерзкие мутанты.

Мне это тоже очень не нравится.

TuxR ★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.